stages:
  - deploy

deploy_to_tokaproj:
  only:
    - master
  tags:
    - production
  script:
    - cd /server/CompFixManager
    - docker exec compfixmanager_app_1 php artisan down
    - git stash
    - git pull
    - docker-compose -f docker-compose.prod.yml up -d --build
    - docker run --rm -v $(pwd):/app composer/composer install
    - docker run --rm --name npm-install -v /server/CompFixManager:/usr/src/app -w /usr/src/app node:latest npm install -q
    - docker run --rm --name npm-install -v /server/CompFixManager:/usr/src/app -w /usr/src/app node:latest npm run prod
    - docker exec compfixmanager_app_1 php artisan db:init --seed --force
    - docker exec compfixmanager_app_1 php artisan cache:clear
    - docker exec compfixmanager_app_1 php artisan config:cache
    - docker exec compfixmanager_app_1 php artisan up
  stage: deploy
